%define libname libkdevideo1
%define __libtoolize    /bin/true

%define compile_enable_final 0

%define kdetv_epoch 1

Summary: 		Kdetv - KDE Video4Linux Stream Capture Viewer
Name: 			kdetv
Version: 		0.8.2
Release: 		6mdk
Source: 		%name-%version.tar.bz2
Group: 			Video
License: 		GPL
URL: 			http://www.kwintv.org/
BuildRoot: 		%_tmppath/%name-%version
Patch1:			kdetv-0.8.0-fix-install.patch.bz2


BuildRequires: 		kdelibs-devel, qt3-devel, arts
BuildRequires:		jpeg-devel, png-devel, kdebase-devel
Buildrequires:		arts-devel, libMesaGLU-devel

# Requires: 			arts, libjpeg, libpng, kdebase, %libname
Requires: 			arts, kdebase,

Obsoletes:			kwintv


%description
Kdetv allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xawtv
but it is is based on Qt and integrated in KDE.


%package -n %libname
Summary:    kdevideo libraries
Group:      System/Libraries
Epoch:      %kdetv_epoch
License:    LGPL
Obsoletes:	libqtvision1

%description -n %libname
These libraries provide TV support to KDE.


%package -n %{libname}-devel
Summary:    kdevideo libraries
Group:      System/Libraries
Epoch:      %kdetv_epoch
License:    LGPL
Requires:   %libname = %{kdetv_epoch}:%version-%release
Obsoletes:	libqtvision1-devel


%description -n %{libname}-devel
These're the files needed to develop applications that use qtvision libraries.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n%name-%version


%build
make -f admin/Makefile.common
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
	%configure --datadir=%_datadir \
        		--disable-rpath \
%if %compile_enable_final
				--enable-final \
%endif
        		--disable-debug 


%make

%install
%makeinstall 

#rm -rf $RPM_BUILD_ROOT/%_docdir/libqtvision1-0.8.0/COPYING
#rm -rf $RPM_BUILD_ROOT/%_docdir/libqtvision1-devel-0.8.0/COPYING

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Multimedia/Video" $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/kdetv.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} 

chmod 4755 %buildroot/%_bindir/kv4lsetup


# Dynamic desktop support
%define launchers /etc/dynamic/launchers/tvtuner
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=KdeTv \$devicename
Comment=Kdetv
Exec=%_bindir/kdetv
Terminal=false
Icon=kdetv.png
Type=Application
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
update-alternatives --install %{launchers}/kde.desktop tvtuner.kde.dynamic %launchers/%name.desktop 31
update-alternatives --install %{launchers}/gnome.desktop tvtuner.gnome.dynamic %launchers/%name.desktop 29

%postun
%clean_menus
if [ $1 = 0 ]; then
  update-alternatives --remove tvtuner.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove tvtuner.gnome.dynamic %launchers/%name.desktop
fi

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING
%_bindir/kdetv

%_bindir/kv4lsetup

%_menudir/*

%dir %_datadir/apps/kdetv/
%_datadir/apps/kdetv/tips

%_iconsdir/hicolor/16x16/apps/kdetv.png
%_iconsdir/hicolor/22x22/apps/kdetv.png
%_iconsdir/hicolor/32x32/apps/kdetv.png

%_datadir/apps/kdetv/*.rc

%_datadir/applnk/Multimedia/kdetv.desktop

%dir %_datadir/apps/kdetv/channels-dist/
%_datadir/apps/kdetv/channels-dist/*.list
%_datadir/apps/kdetv/channels-dist/*.map

%_datadir/apps/profiles/kdetv.profile.xml

%_datadir/services/kdetv/*.desktop

%_datadir/servicetypes/kdetv/*.desktop   

%_datadir/apps/kdetv/icons/hicolor/16x16/apps/*.png
%_datadir/apps/kdetv/icons/hicolor/22x22/actions/*.png
   
%_datadir/apps/kdetv/icons/hicolor/22x22/apps/*.png
%_datadir/apps/kdetv/icons/hicolor/32x32/apps/*.png

%dir %_docdir/HTML/en/kdetv/
%doc %_docdir/HTML/en/kdetv/common
%doc %_docdir/HTML/en/kdetv/*.bz2
%doc %_docdir/HTML/en/kdetv/*.docbook

%config(noreplace) %launchers/%name.desktop

%files -n %libname
%defattr(-,root,root)
%doc COPYING
%_libdir/kde3/*.la
%_libdir/kde3/*.so

%_libdir/*.la
%_libdir/*.so.*


%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so


%changelog
* Sun Oct 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-6mdk
- Fix epoch in -devel Requirement
- remove unusefull requirement

* Tue Sep 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-5mdk
- Fix dynamic icon 

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-4mdk
- Use devicename

* Fri Sep 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-3mdk
- Add dynamic desktop file

* Fri Aug 13 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.2-2mdk
- add BuildRequires: libMesaGLU-devel

* Mon Aug 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-0.cvs20040725.1mdk
- Use snapshot before official 0.8.2 release

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-2mdk
- Fix spec file

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- First package

